[arch-commits] Commit in (upower upower/repos upower/trunk upower/trunk/PKGBUILD)

Ionut Biru ibiru at archlinux.org
Thu Mar 11 18:00:19 EST 2010


    Date: Thursday, March 11, 2010 @ 18:00:19
  Author: ibiru
Revision: 71900

initial commit

Added:
  upower/
  upower/repos/
  upower/trunk/
  upower/trunk/PKGBUILD

----------+
 PKGBUILD |   24 ++++++++++++++++++++++++
 1 file changed, 24 insertions(+)

Added: upower/trunk/PKGBUILD
===================================================================
--- upower/trunk/PKGBUILD	                        (rev 0)
+++ upower/trunk/PKGBUILD	2010-03-11 23:00:19 UTC (rev 71900)
@@ -0,0 +1,24 @@
+# $Id$
+# Maintainer: Jan de Groot <jgc at archlinux.org>
+
+pkgname=upower
+pkgver=0.9.1
+pkgrel=1
+pkgdesc="Abstraction for enumerating power devices, listening to device events and querying history and statistics"
+arch=('i686' 'x86_64')
+url="http://www.freedesktop.org/wiki/Software/DeviceKit"
+license=('GPL')
+depends=('udev>=151' 'libusb>=0.1.12' 'polkit>=0.96' 'pm-utils')
+makedepends=('gtk-doc' 'pkgconfig' 'intltool' 'docbook-xsl')
+replaces=('devicekit-power')
+options=('!emptydirs' '!libtool')
+source=(http://hal.freedesktop.org/releases/UPower-${pkgver}.tar.gz)
+sha256sums=('f81b82e419fa2296995d610bb0b2585ee42cd9e45e198451f95f72f272abd714')
+
+build() {
+  cd "${srcdir}/UPower-${pkgver}"
+  ./configure --prefix=/usr --sysconfdir=/etc --localstatedir=/var \
+      --libexecdir=/usr/lib/upower --disable-static || return 1
+  make || return 1
+  make DESTDIR="${pkgdir}" install || return 1
+}


Property changes on: upower/trunk/PKGBUILD
___________________________________________________________________
Added: svn:keywords
   + Id



More information about the arch-commits mailing list